How do I sign and install the API for NetBeans

The Application Programming Interface and the OASIS Open Document Format
Post Reply
cve60069
Posts: 16
Joined: Fri Feb 15, 2013 12:31 pm

How do I sign and install the API for NetBeans

Post by cve60069 »

Hello
I am trying to load the API into netbeans 8 but keep getting and error. This is what I do.

1. Add Plugin 1448819236_org-openoffice-extensions-4.1.4.nbm
2. Install ... Program runs
3. I get a screen message saying "1 plugin out of 1 requires your attention and confirmation before installing.
4. Under the Self signed (1) folder is the Apache OpenOffice API Plugin
5. Then the install stops.

How do I sign the nbm file please?
Attachments
Error.JPG
OpenOffice 3.4.1 on Windows 7
User avatar
RoryOF
Moderator
Posts: 33652
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: How do I sign and install the API for NetBeans

Post by RoryOF »

Select the selfsigned plugin, and click continue. You may need to scroll to the end of the licence before clicking Accept".
Apache OpenOffice 4.1.13 on Xubuntu 22.04.1 LTS and very infrequently on Win2K/XP
cve60069
Posts: 16
Joined: Fri Feb 15, 2013 12:31 pm

Re: How do I sign and install the API for NetBeans

Post by cve60069 »

Did not work.

I select the unsigned bit and continue and same problem.
OpenOffice 3.4.1 on Windows 7
User avatar
RoryOF
Moderator
Posts: 33652
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: How do I sign and install the API for NetBeans

Post by RoryOF »

I tested this afternoon and it installed correctly on my computer.
Apache OpenOffice 4.1.13 on Xubuntu 22.04.1 LTS and very infrequently on Win2K/XP
cve60069
Posts: 16
Joined: Fri Feb 15, 2013 12:31 pm

Re: How do I sign and install the API for NetBeans

Post by cve60069 »

I am using Windows 7, You are using Linux. Is that a problem.
OpenOffice 3.4.1 on Windows 7
User avatar
Villeroy
Volunteer
Posts: 30806
Joined: Mon Oct 08, 2007 1:35 am
Location: Germany

Re: How do I sign and install the API for NetBeans

Post by Villeroy »

OpenOffice for Windows is a 32-bit application.
Please, edit this topic's initial post and add "[Solved]" to the subject line if your problem has been solved.
Ubuntu 18.04 with LibreOffice 6.0, latest OpenOffice and LibreOffice
Post Reply